%define oname   net-http-digest_auth

Name:       ruby-%{oname}
Version:    1.3
Release:    %mkrel 5
Summary:    An implementation of RFC 2617 - Digest Access Authentication
License:    MIT
Group:      Development/Ruby
URL:        http://docs.seattlerb.org/net-http-digest_auth
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
Buildarch: noarch

%description
An implementation of RFC 2617 - Digest Access Authentication.  At this time
the gem does not drop in to Net::HTTP and can be used for with other HTTP
clients.

In order to use net-http-digest_auth you'll need to perform some request
wrangling on your own.  See the class documentation at Net::HTTP::DigestAuth
for an example.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%{gem_instdir}/test
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/sample
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.3-5.mga4
+ Revision: 562031
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1.3-4.mga4
+ Revision: 561456
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.3-3.mga4
+ Revision: 535944
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 fwang <fwang> 1.3-2.mga4
+ Revision: 482840
- update file list
- use gem_setup

* Tue May 28 2013 fwang <fwang> 1.3-1.mga4
+ Revision: 429384
- new version 1.3

* Fri Feb 08 2013 umeabot <umeabot> 1.2.1-3.mga3
+ Revision: 396204
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 381130
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 313304
- imported package ruby-net-http-digest_auth

